const APP_DISPLAY_NAME = "Put the statusbar at the Top";
const APP_NAME = "statustop";
const APP_PACKAGE = "/Will Levine/statustop";
const APP_VERSION = "0.1";

const APP_JAR_FILE = "statustop.jar";
const APP_CONTENT_FOLDER = "content/";

const APP_SUCCESS_MESSAGE = "After restarting Firebird, your statusbar should be at the top of the screen (hopefully)";


initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef;
var contenttype;
var skintype;

if(confirm("Press OK to install to the global Firebird directory. \n\n" +  "Press Cancel to install to the current profile directory.")) {
	chromef = getFolder("Chrome");
	contenttype = CONTENT | DELAYED_CHROME;
}
else {
	chromef = getFolder("Profile", "chrome");
	contenttype = CONTENT | PROFILE_CHROME;
}

var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null);
		
if(err >= SUCCESS) {
	var jar = getFolder(chromef, APP_JAR_FILE);
	registerChrome(contenttype, jar, APP_CONTENT_FOLDER);
	err = performInstall();
	if(err >= SUCCESS) {
		alert(APP_DISPLAY_NAME + " " + APP_VERSION + " has been succesfully installed.\n"
			+APP_SUCCESS_MESSAGE);
	} else { 
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else { 
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to phoenix/chrome directory). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}
